# file: $isip/class/algo/Algorithm/GNUmakefile
# version: $Id: GNUmakefile 8239 2002-06-26 22:33:39Z picone $
#
# this make file builds the Window class
#

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = Algorithm.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = AlgorithmBase.h AlgorithmUndefined.h MemoryManager.h NameMap.h

# define the output library
#
ISIP_OLIB = lib_algo.a

# define the compilation flags
# 
ISIP_CFLAGS = 

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
